JGraph X 1.3.0.0

## com.mxgraph.view
Class mxStylesheet

    java.lang.Object
      com.mxgraph.view.mxStylesheet

    public class mxStylesheet

extends java.lang.Object

Defines the appearance of the cells in a graph. The following example changes the font size for all vertices by changing the default vertex style in-place: `getDefaultVertexStyle().put(mxConstants.STYLE_FONTSIZE, 16);` To change the default font size for all cells, set mxConstants.DEFAULT_FONTSIZE.

Field Summary
`static java.util.Map<java.lang.String,java.lang.Object>` `EMPTY_STYLE` Shared immutable empty hashtable (for undefined cell styles).
`protected java.util.Map<java.lang.String,java.util.Map<java.lang.String,java.lang.Object>>` `styles` Maps from names to styles.

Constructor Summary
`mxStylesheet()` Constructs a new stylesheet and assigns default styles.

Method Summary
`protected java.util.Map<java.lang.String,java.lang.Object>` `createDefaultEdgeStyle()` Creates and returns the default edge style.
`protected java.util.Map<java.lang.String,java.lang.Object>` `createDefaultVertexStyle()` Creates and returns the default vertex style.
`java.util.Map<java.lang.String,java.lang.Object>` `getCellStyle(java.lang.String name, java.util.Map<java.lang.String,java.lang.Object> defaultStyle)` Returns the cell style for the specified cell or the given defaultStyle if no style can be found for the given stylename.
`java.util.Map<java.lang.String,java.lang.Object>` `getDefaultEdgeStyle()` Returns the default style for edges.
`java.util.Map<java.lang.String,java.lang.Object>` `getDefaultVertexStyle()` Returns the default style for vertices.
`java.util.Map<java.lang.String,java.util.Map<java.lang.String,java.lang.Object>>` `getStyles()` Returns all styles as map of name, hashtable pairs.
`void` `putCellStyle(java.lang.String name, java.util.Map<java.lang.String,java.lang.Object> style)` Stores the specified style under the given name.
`void` `setDefaultEdgeStyle(java.util.Map<java.lang.String,java.lang.Object> value)` Sets the default style for edges.
`void` `setDefaultVertexStyle(java.util.Map<java.lang.String,java.lang.Object> value)` Sets the default style for vertices.
`void` `setStyles(java.util.Map<java.lang.String,java.util.Map<java.lang.String,java.lang.Object>> styles)` Sets all styles in the stylesheet.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EMPTY_STYLE

    public static final java.util.Map<java.lang.String,java.lang.Object> EMPTY_STYLE

  Shared immutable empty hashtable (for undefined cell styles).

### styles

    protected java.util.Map<java.lang.String,java.util.Map<java.lang.String,java.lang.Object>> styles

  Maps from names to styles.

Constructor Detail

### mxStylesheet

    public mxStylesheet()

  Constructs a new stylesheet and assigns default styles.

Method Detail

### getStyles

    public java.util.Map<java.lang.String,java.util.Map<java.lang.String,java.lang.Object>> getStyles()

  Returns all styles as map of name, hashtable pairs.

  Returns:
    All styles in this stylesheet.

### setStyles

    public void setStyles(java.util.Map<java.lang.String,java.util.Map<java.lang.String,java.lang.Object>> styles)

  Sets all styles in the stylesheet.

### createDefaultVertexStyle

    protected java.util.Map<java.lang.String,java.lang.Object> createDefaultVertexStyle()

  Creates and returns the default vertex style.

  Returns:
    Returns the default vertex style.

### createDefaultEdgeStyle

    protected java.util.Map<java.lang.String,java.lang.Object> createDefaultEdgeStyle()

  Creates and returns the default edge style.

  Returns:
    Returns the default edge style.

### getDefaultVertexStyle

    public java.util.Map<java.lang.String,java.lang.Object> getDefaultVertexStyle()

  Returns the default style for vertices.

  Returns:
    Returns the default vertex style.

### setDefaultVertexStyle

    public void setDefaultVertexStyle(java.util.Map<java.lang.String,java.lang.Object> value)

  Sets the default style for vertices.

  Parameters:
    `value` - Style to be used for vertices.

### getDefaultEdgeStyle

    public java.util.Map<java.lang.String,java.lang.Object> getDefaultEdgeStyle()

  Returns the default style for edges.

  Returns:
    Returns the default edge style.

### setDefaultEdgeStyle

    public void setDefaultEdgeStyle(java.util.Map<java.lang.String,java.lang.Object> value)

  Sets the default style for edges.

  Parameters:
    `value` - Style to be used for edges.

### putCellStyle

    public void putCellStyle(java.lang.String name,
                             java.util.Map<java.lang.String,java.lang.Object> style)

  Stores the specified style under the given name.

  Parameters:
    `name` - Name for the style to be stored.
    `style` - Key, value pairs that define the style.

### getCellStyle

    public java.util.Map<java.lang.String,java.lang.Object> getCellStyle(java.lang.String name,
                                                                         java.util.Map<java.lang.String,java.lang.Object> defaultStyle)

  Returns the cell style for the specified cell or the given defaultStyle if no style can be found for the given stylename.

  Parameters:
    `name` - String of the form stylename[;key=value] that represents the style.
    `defaultStyle` - Default style to be returned if no style can be found.
  Returns:
    Returns the style for the given formatted cell style.

JGraph X 1.3.0.0

Copyright (c) 2008 Gaudenz Alder. All rights reserved.